
DuplicationPolicy = class();

function DuplicationPolicy:Constructor(filterData)
	self.Name = "DuplicationPolicy";
	self.Data = filterData;
end

function DuplicationPolicy:Execute(message, channel, username, text, bag)
	for key, post in pairs(self.Data.ChatHistoryCache) do
		-- High frequently post (maybe Spam)
		if post == message then
			return true;
		end
	end
end

function DuplicationPolicy:Apply(message, channel, username, text, blocked, policyName, bag)
	if blocked == true then
		return;
	end

	-- remember the message
	self.Data.ChatHistoryIndex = (self.Data.ChatHistoryIndex + 1) % self.Data.ChatHistorySize;
	self.Data.ChatHistoryCache[self.Data.ChatHistoryIndex] = message;
end
